POST
/affiliate_partner/202405/campaigns/{campaign_id}/products/{product_id}/review
Use this API as a TikTok Affiliate Partner to approve or reject a product submitted by a seller to a campaign. The product must be in a pending state.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”campaign_id
required
string
The campaign identifier.
product_id
required
string
The product identifier.
Query Parameters
Section titled “Query Parameters”category_asset_cipher
required
string
The partner identifier used in API requests. Retrieve this value by using the Get Authorized Category Assets API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
review_result
required
The product review decision by the TikTok Affiliate Partner. This is an enumerated type with values:
- APPROVE
- REJECT
- REJECT_FOREVER
string
reject_reasons
Rejection reasons for the product when review_result is REJECT or REJECT_FOREVER. Possible values for each item:
- COMMISSION_TOO_LOW
- PRODUCT_HARD_TO_PROMOTE
- PRODUCT_TOO_EXPENSIVE
- NO_SUITABLE_CREATOR
Array<string>
Example
{ "review_result": "APPROVE", "reject_reasons": [ "COMMISSION_TOO_LOW" ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
Example
{ "code": 0, "data": {}, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}